Skip to main content
GET
Get vulnerable asset by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vulnerableAssetId
string
required

Response

200 - application/json

Ok

id
string
required

Unique identifier for the vulnerable asset.

name
string
required

Display name of the vulnerable asset.

assetType
enum<string>
required

Type of the vulnerable asset. Possible values: CODE_REPOSITORY, CONTAINER_REPOSITORY, CONTAINER_REPOSITORY_IMAGE, MANIFEST_FILE, SERVER, SERVERLESS_FUNCTION, WORKSTATION.

Available options:
SERVER,
SERVERLESS_FUNCTION,
CONTAINER,
CONTAINER_REPOSITORY,
CONTAINER_REPOSITORY_IMAGE,
CODE_REPOSITORY,
MANIFEST_FILE,
WORKSTATION,
OTHER
hasBeenScanned
boolean
required

Whether the vulnerable asset has been scanned.

imageScanTag
string | null
required

Only relevant for container repositories. This field sets the container image tag that vulnerabilities will be retrieved for. If null, the latest image will be retrieved.

scanners
object[]
required

The integrations that are scanning this vulnerable asset.